{#
 * Answer cell
 *
 * @var $ld
 * @var $myfname2
 * @var $labelText $labelans[$thiskey]
 * @var $kpclass
 * @var $maxlength
 * @var $inputwidth
 * @var $value
 * @var $placeholder
#}
{% set display_rows = question_template_attribute.display_rows %}

{% if display_rows is same as("") %}
    {% set display_rows = 4 %}
{% else %}
    {% set display_rows = intval(display_rows) %}
{% endif %}

{% set restricted_columns = flattenText(question_template_attribute.restricted_columns) %}
{% if restricted_columns %}
    {% set restrictedColumns = restricted_columns|split(',') %}
    {% if not in_array(ld,restrictedColumns) %}
        {% set disable = true %}
    {% endif %}
{% endif %}
{% set placeholder = flatString(processString(placeholder,1),1) %}
<!-- answer_td -->
<td class="answer_cell_{{ ld }} answer-item text-item{% if error %} has-error{% endif %}">
    <label class="ls-label-xs-visibility" for="answer{{ myfname2 }}">
        {{ labelText }}
    </label>
    {% if(display_rows > 1 and not disable) %}
        {{ C.Html.textArea(myfname2,value,({
            'id' : "answer"~myfname2,
            'class' : "form-control "~kpclass,
            'cols' : (inputsize ? inputsize : null),
            'rows' : display_rows,
            'maxlength' : (maxlength ? maxlength : null),
            'placeholder' : (placeholder ? placeholder : null),
            'data-number' : (isNumber ? isNumber : null),
            'data-integer' : (isInteger ? isInteger : null),
        }))}}
    {% else %}
        {{ C.Html.textField(myfname2,value,({
            'id' : "answer"~myfname2,
            'class' : "form-control "~kpclass,
            'size' : (inputsize ? inputsize : null),
            'maxlength' : (maxlength ? maxlength : null),
            'placeholder' : (placeholder ? placeholder : null),
            'data-number' : (isNumber ? isNumber : null),
            'data-integer' : (isInteger ? isInteger : null),
        }))}}
    {% endif %}
    {# Value for expression manager is needed here ? Unsure (20170518) #}
    {{ C.Html.hiddenField("java"~myfname2,value,({
        'id' : "java"~myfname2,
        'disabled' : true,
    }))
    }}
</td>
<!-- end of answer_td -->
